/* 文本样式 */
em {
    font-weight: 900;
}

del {
    text-decoration: line-through white;
    color: #999;
}

mark {
    color: white;
    background-color: #00000000;
    background-image: linear-gradient(rgba(238, 255, 84, 0) 40%, rgba(255, 251, 34, 0.5) 40%);

}

i {
    font-style: italic;
    font-family: "Times New Roman", serif;
}

samp {
    margin-right: 0.5em;
    margin-left: 0.5em;
    padding-right: 0.5em;
    padding-left: 0.5em;
    border-radius: 5px;
    background-color: #333;
    font-family: "JetBrainsMono", "opposans";
}

code {
    margin-right: 0.5em;
    margin-left: 0.5em;
    padding-right: 0.5em;
    padding-left: 0.5em;
    border-radius: 5px;
    background-color: #333;
    font-family: "JetBrainsMono", "opposans";
}

kbd {
    display: inline-block;
    margin-right: 0.3em;
    margin-left: 0.3em;
    padding-right: 0.3em;
    padding-left: 0.3em;
    border-radius: 5px;
    border: 1px solid #fff;
    background-color: #333;
    color: #fff;
    text-shadow: #fff 0 0 1px;
    box-shadow: 0 2px 0 0 #fff,0 3px 0 1px #000;
    font-family: "JetBrainsMono", "opposans";
    font-size: 90%;
    transform: translateY(-2px);
}

time {
    font-family: "JetBrainsMono", "opposans";
}

var {
    font-style: italic;
    font-family: "Times New Roman";
}

a {
    color: #fff;
    text-decoration: none;
    transition: all 0.2s;
}

a:hover {
    color: #ff284f;
    transition: all 0.2s;
}

::selection {
    background-color: #ff284f;
    color: #fff;
}

::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

::-webkit-scrollbar-thumb {
    background-color: #333;
    border-radius: 5px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #444;
}

::-webkit-scrollbar-track {
    background-color: #222;
}

::-webkit-scrollbar-corner {
    background-color: #222;
}

::-webkit-scrollbar-button {
    display: none;
}
